import Action from 'commons/redux/Action';
import { RouterState, LocationActionPayload, LOCATION_CHANGE } from 'react-router-redux';

export const initRouterState: RouterState = {
    location: null,
};


export function routerReducer(state: RouterState = initRouterState, action: Action<LocationActionPayload>): RouterState {
  if (action.type === LOCATION_CHANGE) {
    return state;
  }
  return state;
}
